XmFontListCreate(3Xm)

NAME
XmFontListCreate — a compound string function that creates a font list.

SYNOPSIS
#include <Xm/Xm.h>

XmFontList XmFontListCreate (font, charset)
    XFontStruct    * font;
    XmStringCharSet    charset;

DESCRIPTION
XmFontListCreate creates a new font list with a single element specified by the provided font and character set. At also allocates the space for the font list.

font
    Specifies a pointer to a font structure for which the new font list is generated. this is the structure returned by the XLib XLoadQueryFont function.

charset
    Specifies the character set identifier for the font. This can be XmSTRING_DEFAULT_CHARSET.

RETURN VALUE
Returns a new font list.

RELATED INFORMATION
XmFontListAdd(3Xm), XmFontListFree(3Xm), XmStringBaseline(3Xm), XmStringByteCompare(3Xm), XmStringCompare(3Xm), XmStringConcat(3Xm), XmStringCopy(3Xm), XmStringCreate(3Xm), XmStringCreateLtoR(3Xm), XmStringDirectionCreate(3Xm), XmStringDraw(3Xm), XmStringDrawImage(3Xm), XmStringDrawUnderline(3Xm), XmStringEmpty(3Xm), XmStringExtent(3Xm), XmStringFree(3Xm), XmStringFreeContext(3Xm), XmStringGetLtoR(3Xm), XmStringGetNextComponent(3Xm), XmStringGetNextSegment(3Xm), XmStringHeight(3Xm), XmStringInitContext(3Xm), XmStringLength(3Xm), XmStringLineCount(3Xm), XmStringNConcat(3Xm), XmStringNCopy(3Xm), XmStringPeekNextComponent(3Xm), XmStringSegmentCreate(3Xm), XmStringSeparatorCreate(3Xm), and XmStringWidth(3Xm).